local addonName, addonData = ...;

-- Variables
local events = {};
local f = CreateFrame("Frame");

function events:CINEMATIC_START(canBeCancelled)
    if (DLUCharacterSettings.skipCinematics) then
        if (canBeCancelled) then
            StopCinematic();
        else
            CancelScene();
        end
    end
end

f:RegisterEvent("PLAYER_LOGIN");
f:SetScript("OnEvent", function()
	f:SetScript("OnEvent", function(self, event, ...)
		events[event](self, ...);
	end);
	for k, v in pairs(events) do
		f:RegisterEvent(k);
	end
end);